Subject: [mile] I-D Action: draft-ietf-mile-rfc6046-bis-02.txt

From: [email-masked]
Date: Tue, 06 Dec 2011 00:31:33 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories. This draft is a work item of the Managed Incident Lightweight Exchange Working Group of the IETF.

	Title           : Transport of Real-time Inter-network Defense (RID) Messages
	Author(s)       : Brian Trammell
	Filename        : draft-ietf-mile-rfc6046-bis-02.txt
	Pages           : 7
	Date            : 2011-12-06

   The Incident Object Description Exchange Format (IODEF) defines a
   common XML format for document exchange, and Realtime Internetwork
   Defense (RID) defines extensions to IODEF intended for the
   cooperative handling of security incidents within consortia of
   network operators and enterprises.  This document specifies a
   transport protocol for RID based upon the passing of RID messages
   over HTTP/TLS.  This document updates the previous [RFC6046] to
   change the intended status to Proposed Standard, and to reference the
   updated RID specification.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-mile-rfc6046-bis-02.txt

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

This Internet-Draft can be retrieved at:
ftp://ftp.ietf.org/internet-drafts/draft-ietf-mile-rfc6046-bis-02.txt

---

From: Brian Trammell <[email-masked]>
Date: Tue, 6 Dec 2011 09:41:26 +0100

Greetings, all,

I have submitted rfc6046-bis-02 following WGLC; this revision addresses all WGLC comments, and the present draft is in my opinion ready for submission to the IESG for publication.

Best regards,

Brian (as author)

Begin forwarded message:

> From: [email-masked]
> Date: December 6, 2011 9:31:33 AM GMT+01:00
> To: [email-masked]
> Cc: [email-masked]
> Subject: [mile] I-D Action: draft-ietf-mile-rfc6046-bis-02.txt
> 
> 
> _______________________________________________
> mile mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mile

---

From: "Martin, Robert A." <[email-masked]>
Date: Tue, 6 Dec 2011 08:36:32 -0500

Hello Brian,

I concur with your opinion.  This is ready for submission.

Bob

On 12/6/11 3:41 AM, Brian Trammell wrote:
> .

---

From: <[email-masked]>
Date: Tue, 6 Dec 2011 09:27:55 -0500

Brian

I agree, the changes in the -02 version look good to me - thank you for making them.

Thanks,
--David

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of Martin, Robert A.
> Sent: Tuesday, December 06, 2011 8:37 AM
> To: Brian Trammell
> Cc: [email-masked]
> Subject: Re: [mile] Fwd: I-D Action: draft-ietf-mile-rfc6046-bis-02.txt
> 
> Hello Brian,
> 
> > I have submitted rfc6046-bis-02 following WGLC; this revision addresses all WGLC comments, and the
> present draft is in my opinion ready for submission to the IESG for publication.
> >
> > Best regards,
> >
> > Brian (as author)
> >
> > Begin forwarded message:
> >
> >> A New Internet-Draft is available from the on-line Internet-Drafts directories. This draft is a
> work item of the Managed Incident Lightweight Exchange Working Group of the IETF.
> >>

---

From: <[email-masked]>
Date: Tue, 6 Dec 2011 09:07:10 -0600

I too agree this is ready.

Kent Landfield
Director Content Strategy, Architecture and Standards

McAfee, Inc.
5000 Headquarters Dr.
Plano, Texas 75024

Direct: +1.972.963.7096
Mobile: +1.817.637.8026
Web: www.mcafee.com<http://www.mcafee.com/>

From: Bob Martin <[email-masked]<mailto:[email-masked]>>
Date: Tue, 6 Dec 2011 07:36:32 -0600
To: Brian Trammell <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Re: [mile] Fwd: I-D Action: draft-ietf-mile-rfc6046-bis-02.txt

Hello Brian,

Bob

Best regards,

Brian (as author)

Begin forwarded message:

From: [email-masked]<mailto:[email-masked]>
Date: December 6, 2011 9:31:33 AM GMT+01:00
To: [email-masked]<mailto:[email-masked]>
Cc: [email-masked]<mailto:[email-masked]>
Subject: [mile] I-D Action: draft-ietf-mile-rfc6046-bis-02.txt

_______________________________________________
mile mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/mile

_______________________________________________
mile mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/mile
.

_______________________________________________
mile mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/mile

---

From: SM <[email-masked]>
Date: Tue, 06 Dec 2011 07:14:41 -0800

At 00:41 06-12-2011, Brian Trammell wrote:
>I have submitted rfc6046-bis-02 following WGLC; this revision 
>addresses all WGLC comments, and the present draft is in my opinion 
>ready for submission to the IESG for publication.

Here are a few nits.

In Section 1.1:

   "This document updates [RFC6046] in the following ways:"

That could be described as changes from RFC 6046 or an update of 
instead of "updates" as the document moves RFC 6046 to 
Historic.  Will Section 1.1 be included in the RFC?

The reference to RFC 2119 should be normative.

The reference to RFC 3492 is not needed as it is not referenced from the text.

Regards,
-sm

---

From: Brian Trammell <[email-masked]>
Date: Wed, 7 Dec 2011 16:28:28 +0100

Hi sm,

The intention was to keep Section 1.1 in the RFC (it's the only part of the document that notes the move of 6046 to Historic; this doesn't fit anywhere else. It's also useful to have an at-a-glance set of changes for existing implementors.)

Thanks for the comments, I'll address these in a new revision before IESG submission.

Best regards,

Brian

On Dec 6, 2011, at 4:14 PM, SM wrote:

> That could be described as changes from RFC 6046 or an update of instead of "updates" as the document moves RFC 6046 to Historic.  Will Section 1.1 be included in the RFC?
>

---

From: <[email-masked]>
Date: Wed, 7 Dec 2011 11:00:02 -0500

Hello Brian,

I found a couple of nits as the document relates to RFC6045-bis (as editor) that would be good to correct for consistency.

In the introduction, network providers (NP) is listed.  RFC6045-bis moved to the more generic term of service provider as the usage of these terms has changed and service provider includes cloud, MSSPs, network, telecom, etc.  It is not referenced again in the document, so there is no need for the (SP) to follow the new term.

Please add a section that explicitly lists what is normative and informative.  This would be consistent with RFC6045-bis (section 1.1) and was required during the IESG review for RFC6045.  Since the "Security Considerations" include security requirements, it will be important to note this as normative.  Requirements were broken out from considerations for RFC6045-bis.

The following sentence in section 3 may come up as a run-on in the Gen-ART review: 
   "As the queries and replies in a RID message exchange may be
   significantly separated in time, the receiving RID system MAY return
   202 Accepted, terminate the connection, and at a later time connect
   to the requesting RID system and send the RID reply in an HTTP
   Request."

I found a typo (2nd line, 1st word should be 'an') in the following sentence:
   "If an RID system receives
   and improper RID message in an HTTP Response, or cannot process a RID
   message received in an HTTP Response due to an error on its own side,
   it MUST log the error and present it to the RID system administrator
   for handling; the error logging format is an implementation detail
   and is considered out of scope for this specification.

Thank you,
Kathleen (editor)

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of SM
Sent: Tuesday, December 06, 2011 10:15 AM
To: [email-masked]
Subject: Re: [mile] Fwd: I-D Action: draft-ietf-mile-rfc6046-bis-02.txt

Here are a few nits.

In Section 1.1:

Regards,
-sm

---

From: Brian Trammell <[email-masked]>
Date: Wed, 7 Dec 2011 17:57:35 +0100

Hi, Kathleen,

Thanks for the comments, will incorporate these into the (shortly upcoming) revision of the draft.

Best regards,

Brian (as author of 6046-bis)

---

From: <[email-masked]>
Date: Wed, 7 Dec 2011 12:58:59 -0500

Hi Brian,

Thank you for making the updates.  The document looks good.

I just have a few nits we should take care of before sending it to the IESG.

In the introduction, you can just include "service providers" without "(SPs)" as it is never referenced again in the document.  This will get caught in Gen-ART, so it may save corrections needed there (unless others are found).

The idnits complains about the abstract not stating that this document obsoletes RFC6046.  As I understand it, this is used by the RFC Editor to make sure that action occurs, moving RFC6046 to Historic.  This is listed in the changes, but may be too buried for the RFC Editor.

Sean - do you have an opinion on this one?  Is it OK as is?

Thank you,
Kathleen (WG Chair)

-----Original Message-----
From: Brian Trammell [mailto:[email-masked]] 
Sent: Wednesday, December 07, 2011 11:58 AM
To: Moriarty, Kathleen
Cc: [email-masked]
Subject: Re: [mile] Fwd: I-D Action: draft-ietf-mile-rfc6046-bis-02.txt

Hi, Kathleen,

Best regards,

---

From: Sean Turner <[email-masked]>
Date: Wed, 07 Dec 2011 13:27:01 -0500

> Sean - do you have an opinion on this one?  Is it OK as is?

The tool does complain, but we recently had an IESG statement on this:

http://www.ietf.org/iesg/statement/designating-rfcs-as-historic.html

As long as it's in the introduction somewhere then it's okay.  I think 
the tool just hasn't caught up yet.

spt

> On Dec 7, 2011, at 5:00 PM,<[email-masked]>  wrote:
>
>> Hello Brian,
>>

---

From: <[email-masked]>
Date: Wed, 7 Dec 2011 13:30:58 -0500

Thank you, Sean!

-----Original Message-----
From: Sean Turner [mailto:[email-masked]] 
Sent: Wednesday, December 07, 2011 1:27 PM
To: Moriarty, Kathleen
Cc: [email-masked]; [email-masked]
Subject: Re: [mile] Fwd: I-D Action: draft-ietf-mile-rfc6046-bis-02.txt

spt